// Adafruit Circuit Playground - Two tone sounds    Support Open Source, buy at Adafruit
//   2016-08-05 Version 1  by Mike Barela for Adafruit Industries
// Uses the CircuitPlayground library to easily use the full functionality of the board
//
// Aditional lession material adapted from adafruit and added by Bill Ball www.robot50.net

#include <Adafruit_CircuitPlayground.h>

// constants created for direct hardware control
const int speaker = 5;       // The CP microcontroller pin for the speaker
const int leftButton = 4;    // The CP microcontroller pin for the left button
const int rightButton = 19;  // The CP microcontroller pin for the right button

void setup() {
  CircuitPlayground.begin();

// set for direct hardware control  
  pinMode(speaker, OUTPUT);     // We will write out to the speaker
  pinMode(leftButton, INPUT);   // We'll read in from the buttons
  pinMode(rightButton,INPUT);
}
 

void loop() {

  // use the CP playTone command 
  // a complete tone reference can be found at https://learn.adafruit.com/circuit-playground-music/the-sound-of-music
  // experiment with tone and duration
  
    if(CircuitPlayground.leftButton()) {   // if reading the left button returns true
      CircuitPlayground.playTone(440,100);    // output a 440 Hz sound for a tenth of a second
    }
    else if(CircuitPlayground.rightButton()) { // if reading the right button returns true
      CircuitPlayground.playTone(1760,100);   // output a 1760 Hz sound for a tenth of a second                    
    }



//  // now comment out the above (lines 30 to 35) and uncomment the following to tickle the hardware directly
//  // same as before but using our own function to turn the buzzer on/off 
//  
//    if(digitalRead(leftButton)) {   // if reading the left button returns true
//      makeTone(speaker,440,100);    // output a 440 Hz sound for a tenth of a second
//    }
//    else if(digitalRead(rightButton)) { // if reading the right button returns true
//      makeTone(speaker,1760,100);   // output a 1760 Hz sound for a tenth of a second                    
//    }
//  }
//   
//  // the sound producing function (a brute force way to do it)
//  // try changing the delayAmount and timeInMilliseconds
//  void makeTone (unsigned char speakerPin, int frequencyInHertz, long timeInMilliseconds) {
//    int x;   
//    long delayAmount = (long)(1000000/frequencyInHertz);
//    long loopTime = (long)((timeInMilliseconds*1000)/(delayAmount*2));
//    for (x=0; x<loopTime; x++) {        // the wave will be symetrical (same time high & low)
//       digitalWrite(speakerPin,HIGH);   // Set the pin high
//       delayMicroseconds(delayAmount);  // and make the tall part of the wave
//       digitalWrite(speakerPin,LOW);    // switch the pin back to low
//       delayMicroseconds(delayAmount);  // and make the bottom part of the wave
//    }  


}


