// Demo program for testing library and board 

#include <Adafruit_CircuitPlayground.h>

// we light one pixel at a time, this is our counter
 uint8_t pixeln = 0;
// create a variable to hold the sound level
 uint8_t volume = 0;

void setup() {
  //while (!Serial);
  Serial.begin(9600);
  Serial.println("Circuit Playground test!");

  CircuitPlayground.begin();
}

void loop() {
  
  /************* TEST SLIDE SWITCH */
  // touch sound and light games for left switch
  if (CircuitPlayground.slideSwitch()) {
    Serial.println("Slide to the left");
    playGame();
  } else
  // volume meter for right switch
  {
    Serial.println("Slide to the right");
    volMeter();
 }

}


// if the slide switch is left do this touch sound stuff
void playGame(){

    if (CircuitPlayground.leftButton()) {
    leftPlay();
    }
    
  if (CircuitPlayground.readCap(3)> 30) {
    int touch = CircuitPlayground.readCap(3);
    CircuitPlayground.setPixelColor(0, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(1, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(500, 500);
    CircuitPlayground.clearPixels();
  }
  if (CircuitPlayground.readCap(2)> 30) {
    int touch = CircuitPlayground.readCap(2);
    CircuitPlayground.setPixelColor(1, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(750, 500);
    CircuitPlayground.clearPixels();
  }
    if (CircuitPlayground.readCap(0)> 30) {
    int touch = CircuitPlayground.readCap(0);
    CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(1000, 500);
    CircuitPlayground.clearPixels();
  }
      if (CircuitPlayground.readCap(1)> 30) {
    int touch = CircuitPlayground.readCap(1);
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(1250, 500);
    CircuitPlayground.clearPixels();
  }
    if (CircuitPlayground.readCap(12)> 30) {
    int touch = CircuitPlayground.readCap(12);
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(1500, 500);
    CircuitPlayground.clearPixels();
  }
  if (CircuitPlayground.readCap(6)> 30) {
    int touch = CircuitPlayground.readCap(6);
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(1750, 500);
    CircuitPlayground.clearPixels();
  }
    if (CircuitPlayground.readCap(9)> 30) {
    int touch = CircuitPlayground.readCap(9);
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(2000, 500);
    CircuitPlayground.clearPixels();
  }
    if (CircuitPlayground.readCap(10)> 30) {
    int touch = CircuitPlayground.readCap(10);
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(1 * touch));
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(2 * touch));
    CircuitPlayground.playTone(2250, 500);
    CircuitPlayground.clearPixels();
  }
  
  
}


// press the left button to
// make an annoying rainbow effect with sound 3 times 

void leftPlay() {
  for (int doagain = 0; doagain < 3; doagain++) {
    for (int pixeln = -1; pixeln < 10; pixeln++){
      CircuitPlayground.setPixelColor(pixeln, CircuitPlayground.colorWheel(25 * pixeln));
      CircuitPlayground.playTone(500 + pixeln * 500, 250);
      delay(50);
    }
      
      pixeln = 0;
      CircuitPlayground.clearPixels();
     delay(50);    
  }
}


// if the slide switch is right do this sound light stuff

void volMeter() {
       // clear all lit pixels 
     CircuitPlayground.clearPixels();

    // set a sample and display rate in milliseconds
    //delay(5);

    // measure the sound
    volume = CircuitPlayground.soundSensor();
  
    // set the pixels based on the sound level
    // this could be written more compactly but
    // it is a good opportunity to show how if/else works.

    if (volume < 110) {
      // do nothing;
    } else
    if (volume < 125) {
      CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    } else
    if (volume  < 145) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    } else
    if (volume  < 160) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    } else
    if (volume < 175) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    } else
    if (volume < 190) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    } else
    if (volume < 205) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    } else
    if (volume < 220) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(60));
    } else
     if (volume < 235) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(60));
    CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(30));
    } else
    if (volume < 250) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(65));
    CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(30));
    CircuitPlayground.setPixelColor(1, CircuitPlayground.colorWheel(10));
    } else 
    if (volume > 249) {
    CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(60));
    CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(30));
    CircuitPlayground.setPixelColor(1, CircuitPlayground.colorWheel(10));
    CircuitPlayground.setPixelColor(0, CircuitPlayground.colorWheel(0));
    }
}


